Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595669 - rhnreg_ks doesn't work on ppc64, failure in file hardware_gudev.py line 93, in get_devices
Summary: rhnreg_ks doesn't work on ppc64, failure in file hardware_gudev.py line 93, i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Miroslav Suchý
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks: 564352
TreeView+ depends on / blocked
 
Reported: 2010-05-25 10:50 UTC by Petr Sklenar
Modified: 2010-07-02 19:49 UTC (History)
2 users (show)

Fixed In Version: rhn-client-tools-1.0.0-10.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 19:49:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Sklenar 2010-05-25 10:50:45 UTC
Description of problem:
There is traceback in /usr/share/rhn/up2date_client/hardware_gudev.py file. I can see this failure on one from two of my testing ppc64.

Version-Release number of selected component (if applicable):
python-dmidecode
rhnlib-2.5.22-5.el6.noarch
rhn-client-tools-1.0.0-9.el6.noarch
python-gudev-147.1-4.el6.ppc64
python-dmidecode-3.10.12-1.el6.ppc64

How reproducible:
always on ppc64 machine, ibm-js22-vios-02-lp2.rhts.eng.bos.redhat.com

Steps to Reproduce:
[root@ibm-js22-vios-02-lp2 ~]#  rhnreg_ks --username=**** --password=**** --server=https://xmlrpc.rhn.errata.stage.redhat.com/XMLRPC 
An error has occurred:
<type 'exceptions.AttributeError'>
See /var/log/up2date for more information

[root@ibm-js22-vios-02-lp2 ~]# tail -n15 /var/log/up2date
[Tue May 25 06:43:20 2010] up2date 
Traceback (most recent call last):
  File "/usr/sbin/rhnreg_ks", line 205, in <module>
    cli.run()
  File "/usr/share/rhn/up2date_client/rhncli.py", line 74, in run
    sys.exit(self.main() or 0)
  File "/usr/sbin/rhnreg_ks", line 99, in main
    hardwareList = hardware.Hardware()
  File "/usr/share/rhn/up2date_client/hardware.py", line 667, in Hardware
    allhw = get_devices()
  File "/usr/share/rhn/up2date_client/hardware_gudev.py", line 93, in get_devices
    result_item['prop1'] = m.group(1) # DEV_HOST
<type 'exceptions.AttributeError'>: 'NoneType' object has no attribute 'group'

[root@ibm-js22-vios-02-lp2 ~]# uname -a
Linux ibm-js22-vios-02-lp2.rhts.eng.bos.redhat.com 2.6.32-28.el6.ppc64 #1 SMP Thu May 20 14:05:29 EDT 2010 ppc64 ppc64 ppc64 GNU/Linux
[root@ibm-js22-vios-02-lp2 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.0 Beta (Santiago)

  
Actual results:
traceback
    result_item['prop1'] = m.group(1) # DEV_HOST
<type 'exceptions.AttributeError'>: 'NoneType' object has no attribute 'group'

Expected results:
works

Additional info:

Comment 5 RHEL Product and Program Management 2010-05-25 11:16:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Miroslav Suchý 2010-05-25 11:49:27 UTC
Fixed in spacewalk git as commit 013ee43afa07cd7f8b1441e111c98439bd659b1c
Cherrypicked to satellite.git as commit b6bc59245fe4763557079207da76310d5a500146

Comment 7 Miroslav Suchý 2010-05-25 11:56:27 UTC
Built package rhn-client-tools-1.0.0-10.el6

Comment 9 Petr Sklenar 2010-06-17 13:04:27 UTC
reproduced and verified on
ibm-js22-vios-02-lp2.rhts.eng.bos.redhat.com,

Comment 11 releng-rhel@redhat.com 2010-07-02 19:49:07 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.